<?php
if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && !ereg('(rules)|(smiles)|(secure)|(aut)|(reg)|(umenu)|(zakl)|(mail)|(anketa)|(settings)|(avatar)|(info)\.php',$_SERVER['SCRIPT_NAME'])){
	$_SESSION['refer']=NULL;
	}

function otkuda($ref){
if (eregi('^/forum/',$ref))
$mesto='Форум';
elseif (eregi('^/chat/',$ref))
$mesto='Чат';
elseif (eregi('^/lib/',$ref))
$mesto='Библиотека';
elseif (eregi('^/news/',$ref))
$mesto='Новости';
elseif (eregi('^/votes/',$ref))
$mesto='Голосования';
elseif (eregi('^/guest/',$ref))
$mesto='Гостевая';
elseif (eregi('^/foto/',$ref))
$mesto='Смотрит фото';
elseif (eregi('^/users\.php',$ref))
$mesto='Пользователи';
elseif (eregi('^/online\.php',$ref))
$mesto='Тут';
elseif (eregi('^/online_g\.php',$ref))
$mesto='Гости';
elseif (eregi('^/reg\.php',$ref))
$mesto='Регистрация';
elseif (eregi('^/obmen/',$ref))
$mesto='Обменник';
elseif (eregi('^/aut\.php',$ref))
$mesto='Авторизация';
elseif (eregi('^/index\.php',$ref))
$mesto='Главная';
elseif (eregi('^/\??$',$ref))
$mesto='Главная';
elseif (eregi('^/servis/',$ref))
$mesto='В сервисах';
elseif (eregi('^/love/',$ref))
$mesto='Знакомства';
elseif (eregi('^/gorod/',$ref))
$mesto='В городе';
elseif (eregi('^/fermer/',$ref))
$mesto='На ферме';

elseif (eregi('^/gorod\/korsar\.php',$ref))
$mesto='Играет в Корсары';
elseif (eregi('^/blogs\.php',$ref))
$mesto='В дневниках';
elseif (eregi('^/magazin/',$ref))
$mesto='В магазине';
elseif (eregi('^/info\.php',$ref))
$mesto='Смотрит страничку';
elseif (eregi('^/ank\.php',$ref))
$mesto='Смотрит анкету';
elseif (eregi('^/zakl\.php',$ref))
$mesto='В закладках';
elseif (eregi('^/mail\.php',$ref))
$mesto='В почте';
elseif (eregi('^/pages/online\.php',$ref))
$mesto='Тут';
else
$mesto=false;
return $mesto;
}
?>